/*
 Theme Name:   Twenty Twenty Two Child Theme
 description:  A child theme of the Twenty Twenty Two default WordPress theme for Red Express
 Author:       Keith Winter
 Template:     twentytwentytwo
 Version:      1.0.0
*/

body.page-id-2 {
  background-image: url("/wp-content/uploads/2023/07/Chicago.png");
  background-position: top center;
  background-size:cover;
  background-repeat: repeat-y;
  background-attachment: fixed;
  }

  body.page-id-9, body.page-id-29, body.page-id-177{
    background-image: url("/wp-content/uploads/2023/07/Cambridge.png");
    background-position: center center;
    background-size:cover;
    background-repeat: repeat-y;
    background-attachment: fixed;
    }


.wp-block-group {
/* background-color: #FFF; */
}

body .wp-site-blocks > * + * {
  margin-block-start: 0;
}

body .is-layout-flow > * + * {
  margin-block-start: 0;
  margin-block-end: 0;
}

body, h1,h2,h3,h4 {font-family: Verdana,sans-serif!important;}

/* .wp-site-blocks {
  margin: 0 !important;
  background-color: rgb(255, 255, 255, .5) !important ;
} */

.wp-site-blocks {
  padding: 0rem;
  max-width: 80%;
  margin: 5rem auto 5rem auto !important;
  background-color: rgb(240, 240, 240, .9) !important ;
}


.wp-block-group {
/* background-color: rgb(240, 240, 240, .8) !important ; */
}

.wp-block-group:first-child {
  background-color: transparent !important;
  }

header {
/* */
}

header:first-child {
  margin-bottom: 0;
}

header > div.wp-block-group > div.wp-block-group {
  padding-top: 2.2rem !important;
  padding-bottom: 0 !important;
  background-color: none !important;
}

.wp-block-site-logo {
  padding-left: 2.25rem;
  padding-right: 1.25rem;
}

nav {
  padding-left: 2.25rem;
  padding-right: 2.25rem;
  background-color: none !important;
}

main{
  margin: auto auto 0 0;
  padding: 2rem !important;
}

/* main:last-child {
  padding-bottom: 3rem !important;
} */

h1 {
  margin-bottom: 1.5rem !important;
  font-size: 1.5rem!important;
}

p{
  font-size: 1rem!important;
}

.wp-block-columns {
  margin-top: 2rem !important;
  margin-bottom: 2rem !important;
}

footer .wp-block-columns {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

a.custom-logo-link {
  text-decoration: none !important;
}

li.wp-block-navigation-item {
  color: #E60000;
  font-size: 1rem !important;
}

/* make menu button red */
.wp-block-navigation__responsive-container-open {
  color: #E60000;
}

.wp-block-navigation-item__content span {
  color: #E60000;
  
}

li.wp-block-navigation-item:after{content:'\007C';padding-left:5px;padding-right:5px;}
li.wp-block-navigation-item:last-child:after{content:'';padding-left:5px !important;}

.has-modal-open li.wp-block-navigation-item:after{content:'';padding-left:0 !important;}

.wp-block-separator {
  border-color: #E60000 !important;
}

/* sub menu */
.wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
  background: transparent !important;
}

/* .wp-block-navigation-item wp-block-navigation-link {
  background: transparent !important;
}

.wp-block-navigation-item__content {
  background: transparent !important;
}
 */
 .wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
  border: 0 !important;
  background-color: rgba(230, 230, 230, 0.7) !important;}


.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
  flex-direction: row-reverse;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
  padding: 0 0 0 0;
}



footer {
  background-color: transparent !important ;
  }

  footer p {
    margin-top: 0 !important;
    padding-bottom: 1rem;
  }

footer > div {
  padding-top: 3rem!important;
  padding-left: 0!important;
  padding-right: 0!important;
}


@media only screen and (max-width: 600px) {
  .wp-block-site-logo {
    padding-left: 1.5rem;
}
header > div.wp-block-group > div.wp-block-group {
  padding-top: 1.5rem !important;
}
  .wp-site-blocks {
    margin: 2rem auto 2rem auto !important;
  }
  main{
    margin: auto auto 0 0;
    padding: 1.5rem !important;
  }
}